Xcode 4.0.2 and XS modules

Nicholas Clark nick at ccl4.org
Tue Apr 26 17:27:20 BST 2011

On Mon, Apr 25, 2011 at 07:50:14PM +0100, Simon Wistow wrote:
> On Sat, Apr 23, 2011 at 02:10:57AM +0100, me said:
> > That said - it's still highly ... let's call it "suboptimal" that if you 
> > install the latest versions of the tools you can't install XS modules on 
> > OSX.
> FWIW I wrote something up here
> http://deflatermouse.livejournal.com/149721.html
> so that Leo could post something on Perl News. 
> tl;dr - Apple screwed up but they probably don't care. There are 
> workarounds but really, install Perlbrew.

Would they care more if they got lots of polite bug reports from registered
developers who care about Apple's SNAFU, encouraging Apple to re-instate the
PPC assembler for XCode 4? Is XCode 4 *supposed* to support the PPC-enabled
OS X versions? Or is it "Lion only"?

Also, did this bug start with XCode 4.0.whatever-the-first-one-is, or was
the bug added/the functionality removed in a "point" release?

Nicholas Clark

More information about the london.pm mailing list